<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="commun_mission_budget"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="527"
		 pageHeight="842"
		 columnWidth="527"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="MIS_ORDRE" isForPrompting="true" class="java.math.BigDecimal">
		<defaultValueExpression ><![CDATA[new BigDecimal(20171)]]></defaultValueExpression>
	</parameter>
	<parameter name="REP_BASE_PATH" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[SELECT  m.MIS_ORDRE, mpe.EXE_ORDRE, m.FOU_ORDRE, MIS_NUMERO, MIS_DEBUT, MIS_FIN, MIS_ETAT, 
 mp.MIP_ORDRE, MIP_MONTANT_PAIEMENT, MIP_MONTANT_TOTAL, MIP_ETAT, MIP_CREATION, 
 MIP_INFOS, mpe.MPE_ORDRE, 
 MPE_MONTANT_BUDGETAIRE, MPE_MONTANT_ENGAGEMENT, MPE_MONTANT_REMBOURSE, MPE_INFOS, MPE_ETAT, 
 mpe.ENG_ID, EB.eng_numero, mpa.MOD_ORDRE, 
 mpe.CONV_ORDRE, ORG_NIV, ORG_PERE, 
 ORG_UNIV, ORG_ETAB, ORG_UB, ORG_CR, ORG_LIB,ORG_SOUSCR,
 mpe.PCO_NUM, pco_libelle,tc.TCD_CODE, tc.tcd_libelle,
 mpa.mod_code, mpa.MOD_LIBELLE,
 ca.can_code, ca.can_libelle    ,
c.CONV_PREMIER_EXERCICE, CONV_INDEX, c.LIBELLE_COURT, c.CONV_REFERENCE_EXTERNE,
t.tit_libelle, eb.exe_ordre as eng_exe_ordre
FROM
jefy_mission.mission m, 
jefy_mission.mission_paiement mp, 
jefy_mission.mission_paiement_engage mpe,
jefy_depense.engage_budget eb,
jefy_admin.organ o,
jefy_admin.type_credit tc,
maracuja.plan_comptable pco,
maracuja.mode_paiement mpa,
jefy_admin.code_analytique ca,
jefy_mission.v_convention c,
jefy_mission.titre_mission t
where 
m.mis_ordre=mp.MIS_ORDRE
and mp.MIP_ORDRE=mpe.mip_ordre
and m.tit_ordre=t.tit_ordre
and mpe.eng_id=eb.eng_id(+)
and mpe.pco_num=pco.pco_num(+)
and mpe.tcd_ordre=tc.tcd_ordre(+)
and mpe.org_id=o.org_id(+)
and mpe.mod_ordre=mpa.mod_ordre(+)
and mpe.can_id=ca.can_id(+)
and mpe.conv_ordre=c.conv_ordre(+)
and m.mis_ordre=$P{MIS_ORDRE}
order by eng_id]]></queryString>

	<field name="MIS_ORDRE" class="java.math.BigDecimal"/>
	<field name="EXE_ORDRE" class="java.math.BigDecimal"/>
	<field name="FOU_ORDRE" class="java.math.BigDecimal"/>
	<field name="MIS_NUMERO" class="java.math.BigDecimal"/>
	<field name="MIS_DEBUT" class="java.sql.Timestamp"/>
	<field name="MIS_FIN" class="java.sql.Timestamp"/>
	<field name="MIS_ETAT" class="java.lang.String"/>
	<field name="MIP_ORDRE" class="java.math.BigDecimal"/>
	<field name="MIP_MONTANT_PAIEMENT" class="java.math.BigDecimal"/>
	<field name="MIP_MONTANT_TOTAL" class="java.math.BigDecimal"/>
	<field name="MIP_ETAT" class="java.lang.String"/>
	<field name="MIP_CREATION" class="java.sql.Timestamp"/>
	<field name="MIP_INFOS" class="java.lang.String"/>
	<field name="MPE_ORDRE" class="java.math.BigDecimal"/>
	<field name="MPE_MONTANT_BUDGETAIRE" class="java.math.BigDecimal"/>
	<field name="MPE_MONTANT_ENGAGEMENT" class="java.math.BigDecimal"/>
	<field name="MPE_MONTANT_REMBOURSE" class="java.math.BigDecimal"/>
	<field name="MPE_INFOS" class="java.lang.String"/>
	<field name="MPE_ETAT" class="java.lang.String"/>
	<field name="ENG_ID" class="java.math.BigDecimal"/>
	<field name="ENG_NUMERO" class="java.math.BigDecimal"/>
	<field name="MOD_ORDRE" class="java.math.BigDecimal"/>
	<field name="CONV_ORDRE" class="java.math.BigDecimal"/>
	<field name="ORG_NIV" class="java.math.BigDecimal"/>
	<field name="ORG_PERE" class="java.math.BigDecimal"/>
	<field name="ORG_UNIV" class="java.lang.String"/>
	<field name="ORG_ETAB" class="java.lang.String"/>
	<field name="ORG_UB" class="java.lang.String"/>
	<field name="ORG_CR" class="java.lang.String"/>
	<field name="ORG_LIB" class="java.lang.String"/>
	<field name="ORG_SOUSCR" class="java.lang.String"/>
	<field name="PCO_NUM" class="java.lang.String"/>
	<field name="PCO_LIBELLE" class="java.lang.String"/>
	<field name="TCD_CODE" class="java.lang.String"/>
	<field name="TCD_LIBELLE" class="java.lang.String"/>
	<field name="MOD_CODE" class="java.lang.String"/>
	<field name="MOD_LIBELLE" class="java.lang.String"/>
	<field name="CAN_CODE" class="java.lang.String"/>
	<field name="CAN_LIBELLE" class="java.lang.String"/>
	<field name="CONV_PREMIER_EXERCICE" class="java.math.BigDecimal"/>
	<field name="CONV_INDEX" class="java.math.BigDecimal"/>
	<field name="LIBELLE_COURT" class="java.lang.String"/>
	<field name="CONV_REFERENCE_EXTERNE" class="java.lang.String"/>
	<field name="TIT_LIBELLE" class="java.lang.String"/>
	<field name="ENG_EXE_ORDRE" class="java.math.BigDecimal"/>


		<group  name="mis_ordre" >
			<groupExpression><![CDATA[$F{MIS_ORDRE}]]></groupExpression>
			<groupHeader>
			<band height="46"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="dd/MM/yyyy HH:mm" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="2"
						y="0"
						width="524"
						height="18"
						backcolor="#E6E6FA"
						key="textField-10"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="12" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Informations budgétaires"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="18"
						width="122"
						height="28"
						key="textField-11"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Ligne budgétaire"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="124"
						y="18"
						width="32"
						height="28"
						key="textField-12"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Crédit"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="188"
						y="18"
						width="50"
						height="28"
						key="textField-13"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Imputation"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="238"
						y="18"
						width="49"
						height="28"
						key="textField-14"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Code analytique"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="287"
						y="18"
						width="68"
						height="28"
						key="textField-15"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Destination"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="355"
						y="18"
						width="61"
						height="28"
						key="textField-16"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Eng. / Exercice"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="416"
						y="18"
						width="55"
						height="28"
						key="textField-27"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Montant Eng."]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="471"
						y="18"
						width="55"
						height="28"
						key="textField-30"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Montant Remb."]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="156"
						y="18"
						width="32"
						height="28"
						key="textField-31"
						positionType="Float"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Mode paiem."]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="eng_id" >
			<groupExpression><![CDATA[]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="34"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="355"
						y="0"
						width="61"
						height="12"
						key="textField-3"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false" isItalic="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[($F{ENG_EXE_ORDRE}!=null ? new java.text.DecimalFormat("0").format($F{ENG_NUMERO}) +  " (" + $F{ENG_EXE_ORDRE}  +")":"")]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="0"
						width="122"
						height="12"
						key="textField-17"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[($F{ORG_UB}!=null ? $F{ORG_UB} + " / " + $F{ORG_CR} + ($F{ORG_SOUSCR}!=null ? " / " + $F{ORG_SOUSCR} : ""):"")]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="124"
						y="0"
						width="32"
						height="12"
						key="textField-18"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{TCD_CODE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="188"
						y="0"
						width="50"
						height="12"
						key="textField-19"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{PCO_NUM}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="238"
						y="0"
						width="49"
						height="12"
						key="textField-20"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="Thin" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{CAN_CODE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="66"
						y="13"
						width="460"
						height="21"
						key="textField-21"
						positionType="Float"
						isRemoveLineWhenBlank="true">
							<printWhenExpression><![CDATA[new Boolean($F{CONV_ORDRE}!=null )]]></printWhenExpression>
						</reportElement>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-Oblique" size="7" isBold="false" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{CONV_PREMIER_EXERCICE}+"-"+$F{CONV_INDEX}+" " +($F{CONV_REFERENCE_EXTERNE}==null ?"" : $F{CONV_REFERENCE_EXTERNE}) + " "+$F{LIBELLE_COURT}]]></textFieldExpression>
				</textField>
				<subreport  isUsingCache="true">
					<reportElement
						x="287"
						y="0"
						width="68"
						height="11"
						key="subreport-1"
						positionType="Float">
							<printWhenExpression><![CDATA[new Boolean($F{ENG_ID}!=null)]]></printWhenExpression>
						</reportElement>
					<subreportParameter  name="MPEORDRE">
						<subreportParameterExpression><![CDATA[$F{MPE_ORDRE}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="REP_BASE_PATH">
						<subreportParameterExpression><![CDATA[$P{REP_BASE_PATH}]]></subreportParameterExpression>
					</subreportParameter>
					<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					<subreportExpression  class="java.lang.String"><![CDATA[$P{REP_BASE_PATH} + "commun_mission_destin.jasper"]]></subreportExpression>
				</subreport>
				<textField isStretchWithOverflow="false" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="2"
						y="13"
						width="64"
						height="21"
						key="textField-22"
						positionType="Float"
						isRemoveLineWhenBlank="true">
							<printWhenExpression><![CDATA[new Boolean($F{CONV_ORDRE}!=null )]]></printWhenExpression>
						</reportElement>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Convention : "]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0.00 €" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="416"
						y="0"
						width="55"
						height="12"
						key="textField-28"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false" isItalic="false"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{MPE_MONTANT_ENGAGEMENT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0.00 €" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="471"
						y="0"
						width="55"
						height="12"
						backcolor="#FFFFFF"
						key="textField-29"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="Thin" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false" isItalic="false"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{MPE_MONTANT_REMBOURSE}]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="2"
						y="12"
						width="524"
						height="0"
						backcolor="#FFFFE0"
						key="line-1"
						positionType="Float"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="156"
						y="0"
						width="32"
						height="12"
						key="textField-32"
						stretchType="RelativeToBandHeight"
						positionType="Float"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="2" rightBorder="None" rightBorderColor="#000000" rightPadding="2" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="8" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{MOD_CODE}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
